# class Puma::MiniSSL::Context

### Attributes

verify_mode[RW]

### Public Instance Methods

ca=(ca) click to toggle source

    # File lib/puma/minissl.rb, line 209
    def ca=(ca)
      raise ArgumentError, "No such ca file '#{ca}'" unless File.exist? ca
      @ca = ca
    end

cert=(cert) click to toggle source

    # File lib/puma/minissl.rb, line 204
    def cert=(cert)
      raise ArgumentError, "No such cert file '#{cert}'" unless File.exist? cert
      @cert = cert
    end

check() click to toggle source

    # File lib/puma/minissl.rb, line 189
    def check
      raise "Keystore not configured" unless @keystore
    end

key=(key) click to toggle source

    # File lib/puma/minissl.rb, line 199
    def key=(key)
      raise ArgumentError, "No such key file '#{key}'" unless File.exist? key
      @key = key
    end

keystore=(keystore) click to toggle source

    # File lib/puma/minissl.rb, line 184
    def keystore=(keystore)
      raise ArgumentError, "No such keystore file '#{keystore}'" unless File.exist? keystore
      @keystore = keystore
    end